# Uses of Interface
org.opensaml.saml.saml2.metadata.SingleLogoutService

Packages that use SingleLogoutService
Package
Description
org.opensaml.saml.metadata.generator.impl
Implementation of Velocity-based metadata generation.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of SingleLogoutService in org.opensaml.saml.metadata.generator.impl

Methods in org.opensaml.saml.metadata.generator.impl that return SingleLogoutService
Modifier and Type
Method
Description
`SingleLogoutService`
SingleLogoutServiceConverter.`apply(String value, List<String> protocols)`

## Uses of SingleLogoutService in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type SingleLogoutService
Modifier and Type
Method
Description
`List<SingleLogoutService>`
SSODescriptor.`getSingleLogoutServices()`
Gets a list of single logout services for this service.

## Uses of SingleLogoutService in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement SingleLogoutService
Modifier and Type
Class
Description
`class`
`SingleLogoutServiceImpl`
Concrete implementation of `SingleLogoutService`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type SingleLogoutService
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<SingleLogoutService>`
SSODescriptorImpl.`singleLogoutServices`
Logout services for this SSO entity.
Methods in org.opensaml.saml.saml2.metadata.impl that return SingleLogoutService
Modifier and Type
Method
Description
`SingleLogoutService`
SingleLogoutServiceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`SingleLogoutService`
SingleLogoutServiceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type SingleLogoutService
Modifier and Type
Method
Description
`List<SingleLogoutService>`
SSODescriptorImpl.`getSingleLogoutServices()`
Gets a list of single logout services for this service.